GuiAPI for Minecraft for Minecraft 1.6.2/1.5.2

advertisement

GuiAPI ModGuiAPI 1.6.2 (also known as Graphical User Interface API) is an interface for developing/creating visual menus and popups for configurations of Minecraft mods. GuiAPI is mainly used by mod developers to create easily accessible settings for their mods. It is based on Themable Widget Library to integrate Java menus inside Minecraft. GuiAPI saves you a lot of time so you can important parts of your mod instead of wasting your time on UX.

GuiAPI Features:

  • Brings beautiful menu in mods such as Mo’ Creatures.
  • Based on Light Weight Java Game Library (LWJGL)
  • Supported by Minecraft Forge
  • Open Source with Javadocs
  • Works on Minecraft 1.6.2

Download GuiAPI for Minecraft

Gui API DownloadFor 1.6.2 – GuiAPI-0.15.7-1.6.2.jar (beta)

For 1.5.2 – GuiAPI-0.15.6.1.5.2.jar

by ShaRose/Lahwren – Last Updated 19th August, 2013

How to install GuiAPI in Minecraft

  • Download and Install Minecraft Forge.
    Download the GUI API for Minecraft 1.6.2 from the link above
  • Go to Start Menu > Run > Type %appdata%/.minecraft and hit enter.
  • Drag and drop GuiAPI jar file into coremods folder of Minecraft directory
  • Launch Minecraft to verify installation

Tips and Warnings

  1. If you are using Linux you will need to update LWJGL to 2.6 or higher to avoid bugs.
  2. You can view the source code of GuiAPI and documentation on Github.
  3. Windows users, make sure your Java is updated to latest version.

10 thoughts on “GuiAPI for Minecraft for Minecraft 1.6.2/1.5.2

    • i know how to do it
      its simple open the guiAPI with winrar and pout the content files into the .minecraft .
      REMEMBER delete META-INF
      then put mo creatures mod and custom mob spawner into your mods folder
      AND i ope it works with you because it works with me :)

  1. Neither of the ways work.
    There is no “coremods” folder at all, and making one does not work. Forge is correctly installed. Extraction makes no difference.
    Putting either the extracted files or zip in the .minecraft does not work, or even just the “mods” folder.
    How the hell do you install this on 1.6.2?!!

  2. I have the same issues as the other comment. I have forge and mod loader installed ( up to date) but no core mods folder. Also when I put the files directly into the minecraft.jar that doesn’t work either. I just get unexpected crash reports. So frustrating I don’t know what else to do. :/

  3. Well,first of all,FORGET THE COREMODS FOLDER! The only folder you need for mods now is the MODS folder. Put everything in the mods folder and you should be good. Second of all, the 1.6.2 download link doesn’t work, help please I want Mo’ Creatures but the GUI API link won’t work!

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>